Page MenuHomeFreeBSD

[NEW] devel/texlab: Language Server Protocol for LaTeX
ClosedPublic

Authored by kfv_kfv.io on Nov 1 2021, 2:05 PM.

Details

Summary
[NEW] devel/texlab: Language Server Protocol for LaTeX

A cross-platform implementation of the Language Server Protocol providing rich
cross-editing support for the LaTeX typesetting system. The server may be used
with any editor that implements the Language Server Protocol.

WWW: https://texlab.netlify.app/

Reviewed_by: koobs, ???
Differential_Revision: D32776
Test Plan
  • portlint: passed
  • testport: passed
  • runtime: I have been using it for about a month on my daily driver running FreeBSD 13.0-RELEASE.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

koobs retitled this revision from [new port] devel/texlab: Language Server Protocol for LaTeX to [NEW] devel/texlab: Language Server Protocol for LaTeX.
koobs edited the summary of this revision. (Show Details)
koobs edited the test plan for this revision. (Show Details)
koobs added a reviewer: rust.

Requesting review from rust

devel/texlab/Makefile
9

Add LICENSE_FILE if one is shipped with the source distribution

This revision is now accepted and ready to land.Nov 18 2021, 1:18 AM
kfv_kfv.io edited the summary of this revision. (Show Details)
kfv_kfv.io edited the test plan for this revision. (Show Details)
  • Add LICENSE_FILE
This revision now requires review to proceed.Nov 18 2021, 4:06 PM
kfv_kfv.io edited the test plan for this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Nov 26 2021, 10:25 AM
This revision was automatically updated to reflect the committed changes.